## org.eclipse.uml2.uml
Interface Deployment

All Superinterfaces:
  Dependency, DirectedRelationship, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier, PackageableElement, ParameterableElement, Relationship

    public interface Deployment

extends Dependency

A representation of the model object 'Deployment'. A deployment is the allocation of an artifact or artifact instance to a deployment target. A component deployment is the deployment of one or more artifacts or artifact instances to a deployment target, optionally parameterized by a deployment specification. Examples are executables and configuration files.

The following features are supported:

- `Deployed Artifact`
- `Configuration`
- `Location`

See Also:
  `UMLPackage.getDeployment()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`DeploymentSpecification` `createConfiguration(java.lang.String name)` Creates a new `DeploymentSpecification`, with the specified 'Name', and appends it to the 'Configuration' containment reference list
`DeploymentSpecification` `getConfiguration(java.lang.String name)` Retrieves the first `DeploymentSpecification` with the specified 'Name' from the 'Configuration' containment reference list
`DeploymentSpecification` `getConfiguration(java.lang.String name, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `DeploymentSpecification` with the specified 'Name' from the 'Configuration' containment reference list
`org.eclipse.emf.common.util.EList<DeploymentSpecification>` `getConfigurations()` Returns the value of the 'Configuration' containment reference list.
`DeployedArtifact` `getDeployedArtifact(java.lang.String name)` Retrieves the first `DeployedArtifact` with the specified 'Name' from the 'Deployed Artifact' reference list
`DeployedArtifact` `getDeployedArtifact(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `DeployedArtifact` with the specified 'Name' from the 'Deployed Artifact' reference list
`org.eclipse.emf.common.util.EList<DeployedArtifact>` `getDeployedArtifacts()` Returns the value of the 'Deployed Artifact' reference list.
`DeploymentTarget` `getLocation()` Returns the value of the 'Location' container reference.
`void` `setLocation(DeploymentTarget value)` Sets the value of the '`Location`' container reference

Methods inherited from interface org.eclipse.uml2.uml.Dependency
`getClient, getClient, getClients, getSupplier, getSupplier, getSuppliers`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.ParameterableElement
`getOwningTemplateParameter, getTemplateParameter, isCompatibleWith, isTemplateParameter, setOwningTemplateParameter, setTemplateParameter`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.DirectedRelationship
`getSources, getTargets`

Methods inherited from interface org.eclipse.uml2.uml.Relationship
`getRelatedElements`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDeployedArtifacts

    org.eclipse.emf.common.util.EList<DeployedArtifact> getDeployedArtifacts()

  Returns the value of the 'Deployed Artifact' reference list. The list contents are of type `DeployedArtifact`.

  This feature subsets the following features:

  - '`Supplier`'
  The Artifacts that are deployed onto a Node. This association specializes the supplier association.

  Returns:
    the value of the 'Deployed Artifact' reference list.
  See Also:
    `UMLPackage.getDeployment_DeployedArtifact()`

### getDeployedArtifact

    DeployedArtifact getDeployedArtifact(java.lang.String name)

  Retrieves the first `DeployedArtifact` with the specified 'Name' from the 'Deployed Artifact' reference list.

  Parameters:
    `name` - The 'Name' of the `DeployedArtifact` to retrieve, or `null`.
  Returns:
    The first `DeployedArtifact` with the specified 'Name', or `null`.
  See Also:
    `getDeployedArtifacts()`

### getDeployedArtifact

    DeployedArtifact getDeployedArtifact(java.lang.String name,
                                         boolean ignoreCase,
                                         org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `DeployedArtifact` with the specified 'Name' from the 'Deployed Artifact' reference list.

  Parameters:
    `name` - The 'Name' of the `DeployedArtifact` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `DeployedArtifact` to retrieve, or `null`.
  Returns:
    The first `DeployedArtifact` with the specified 'Name', or `null`.
  See Also:
    `getDeployedArtifacts()`

### getConfigurations

    org.eclipse.emf.common.util.EList<DeploymentSpecification> getConfigurations()

  Returns the value of the 'Configuration' containment reference list. The list contents are of type `DeploymentSpecification`. It is bidirectional and its opposite is '`Deployment`'.

  This feature subsets the following features:

  - '`Owned Element`'
  The specification of properties that parameterize the deployment and execution of one or more Artifacts.

  Returns:
    the value of the 'Configuration' containment reference list.
  See Also:
    `UMLPackage.getDeployment_Configuration()`, `DeploymentSpecification.getDeployment()`

### createConfiguration

    DeploymentSpecification createConfiguration(java.lang.String name)

  Creates a new `DeploymentSpecification`, with the specified 'Name', and appends it to the 'Configuration' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `DeploymentSpecification`, or `null`.
  Returns:
    The new `DeploymentSpecification`.
  See Also:
    `getConfigurations()`

### getConfiguration

    DeploymentSpecification getConfiguration(java.lang.String name)

  Retrieves the first `DeploymentSpecification` with the specified 'Name' from the 'Configuration' containment reference list.

  Parameters:
    `name` - The 'Name' of the `DeploymentSpecification` to retrieve, or `null`.
  Returns:
    The first `DeploymentSpecification` with the specified 'Name', or `null`.
  See Also:
    `getConfigurations()`

### getConfiguration

    DeploymentSpecification getConfiguration(java.lang.String name,
                                             boolean ignoreCase,
                                             boolean createOnDemand)

  Retrieves the first `DeploymentSpecification` with the specified 'Name' from the 'Configuration' containment reference list.

  Parameters:
    `name` - The 'Name' of the `DeploymentSpecification` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `DeploymentSpecification` on demand if not found.
  Returns:
    The first `DeploymentSpecification` with the specified 'Name', or `null`.
  See Also:
    `getConfigurations()`

### getLocation

    DeploymentTarget getLocation()

  Returns the value of the 'Location' container reference. It is bidirectional and its opposite is '`Deployment`'.

  This feature subsets the following features:

  - '`Client`'
  The DeployedTarget which is the target of a Deployment.

  Returns:
    the value of the 'Location' container reference.
  See Also:
    `setLocation(DeploymentTarget)`, `UMLPackage.getDeployment_Location()`, `DeploymentTarget.getDeployments()`

### setLocation

    void setLocation(DeploymentTarget value)

  Sets the value of the '`Location`' container reference.

  Parameters:
    `value` - the new value of the 'Location' container reference.
  See Also:
    `getLocation()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.